import React, { useState } from 'react';
import ReactCanvasTimeline from '../timeline/reactcanvastimeline';
import buildTestData from './testdatabuilder';
import LCal from "../calendar/lcal";
import LCalInterval from "../calendar/lcalinterval";
import { ReactComponent as Lock } from "../icons/lock.svg";
import { ReactComponent as LockOpen } from "../icons/lockopen.svg";
import { ReactComponent as ExitToApp } from "../icons/exit.svg";
import LCalFormatter from "../calendar/lcalformatter";
export default {
  title: 'timeline',
  component: ReactCanvasTimeline
};

const measureResult = val => {
  //In real life we should use material-uis typography

  /*return <Typography variant="subtitle1"
                     style={{
                       color: "white",
                       background: "rgba(221, 44, 0, 0.7)",
                       padding: 10
                     }}>
    {LCalFormatter.formatDuration(this.state.measureInterval)}
  </Typography>*/
  return /*#__PURE__*/React.createElement("div", {
    style: {
      color: "white",
      background: "rgba(221, 44, 0, 0.7)",
      padding: 10
    }
  }, LCalFormatter.formatDuration(val));
};

export const _8MeasureTimeline = () => {
  let testData = buildTestData();
  let start = new LCal().initNow();
  let end = start.clone().addDay(10);
  const [measureDurationLock, setMeasureDurationLock] = useState(false); //In real life we should use material-ui buttons

  let measureButtons = /*#__PURE__*/React.createElement("div", {
    style: {
      display: "flex"
    }
  }, /*#__PURE__*/React.createElement("div", {
    style: {
      margin: 10,
      background: "yellow",
      borderRadius: "5px"
    },
    onClick: () => {
      setMeasureDurationLock(!measureDurationLock);
    }
  }, "Dauer", measureDurationLock ? /*#__PURE__*/React.createElement(Lock, null) : /*#__PURE__*/React.createElement(LockOpen, null)), /*#__PURE__*/React.createElement("div", {
    style: {
      margin: 10,
      background: "red",
      borderRadius: "5px"
    },
    onClick: () => {}
  }, "Beenden", /*#__PURE__*/React.createElement(ExitToApp, null)));
  return /*#__PURE__*/React.createElement("div", null, "Measuring", /*#__PURE__*/React.createElement("br", null), /*#__PURE__*/React.createElement("br", null), /*#__PURE__*/React.createElement(ReactCanvasTimeline, {
    resources: testData.resources,
    tasks: testData.tasks,
    initialMeasureInterval: new LCalInterval(start, end),
    measureButtons: measureButtons,
    measureResult: val => measureResult(val),
    measureDurationLock: measureDurationLock,
    paintShadows: true
  }));
};