/* Copyright (C) Peter Rank Software - All Rights Reserved
 * Written by Peter Rank <peter@softmanufaktur.de>, 2016
 */
class TableModel {
  constructor() {
    this.dataChangeCallbacks = [];
  }

  addDataChangeCallback(listener) {
    this.dataChangeCallbacks.push(listener);
  }

  _fireDataChanged() {
    for (let o of this.dataChangeCallbacks) {
      o();
    }
  }

  getRowCount() {
    return 20;
  }

  getColumnCount() {
    return 10;
  }

  getValueAt(row, col) {
    return "Wert " + row + "/" + col;
  }

  setValueAt(row, col, newVal) {}

  getColumnName(col) {
    return "Spalte " + col;
  } //-1 bedeutet auto


  getColumnWidth(col) {
    return -1;
  }

  getRowHeight(row) {
    return 26;
  }

  getFixedColumns() {
    return 0;
  }

  getHeaderHeight() {
    return 30;
  }

}

export default TableModel;