/* Copyright (C) Peter Rank Software - All Rights Reserved
 * Written by Peter Rank <peter@softmanufaktur.de>, 2016
 */
import React, { Component } from 'react';
import ReactDOM from 'react-dom';
import Table from './table.js';
import TableModel from './tablemodel.js';
import ArrayTableModel from './arraytablemodel.js';

class MyApp extends Component {
  constructor(props) {
    super(props);
  }

  render() {
    let menuStyle = {
      background: "#AABBCC"
    };
    let tableModel1 = new ArrayTableModel();
    let tableModel2 = new TableModel();

    let headerRenderer = function (ctx, val, col, x, width, height) {
      ctx.font = "30px Arial bold";
      ctx.fillText(val, x + 2, 20);
      ctx.stroke();
    };

    let cellRenderer = function (ctx, val, row, col, x, y, width, height) {
      ctx.font = "20px Arial";
      ctx.fillText(val, x + 2, y + 20);
      ctx.stroke();
    };

    let tableListener = function (tableEvt) {
      //Eingabe eines neuen Werts und setzen des Wertes im Model
      let newVal = prompt("Neuer Wert:", tableModel1.getValueAt(tableEvt.getRow(), tableEvt.getColumn()));
      tableModel1.setValueAt(tableEvt.getRow(), tableEvt.getColumn(), newVal);
    };

    return /*#__PURE__*/React.createElement("div", null, /*#__PURE__*/React.createElement("h1", null, "Tabellenbeispiel 1"), /*#__PURE__*/React.createElement(Table, {
      width: 600,
      height: 400,
      model: tableModel1,
      cellRenderer: cellRenderer,
      headerRenderer: headerRenderer,
      onTap: tableListener
    }), /*#__PURE__*/React.createElement("h1", null, "Tabellenbeispiel 2"), /*#__PURE__*/React.createElement(Table, {
      width: 400,
      height: 200,
      model: tableModel2,
      headercolor: "#FFAAAA",
      gridcolor: "black"
    }));
  }

}

ReactDOM.render( /*#__PURE__*/React.createElement(MyApp, null), document.getElementById('main'));