/* Copyright (C) Peter Rank Software - All Rights Reserved
 * Written by Peter Rank <peter@softmanufaktur.de>, 2016
 */
import TableModel from './tablemodel.js';

class ArrayTableModel extends TableModel {
    constructor(arr, colnames) {
        super();
        if (arr) {
            this.items = arr;
        } else {
            this.items = [];
        }
        if (colnames) {
            this.colnames = colnames;
        } else {
            this.colnames = [];
        }
    }

    getRowCount() {
        return this.items.length;
    }

    getColumnCount() {
        return this.colnames ? this.colnames.length : 0;
    }

    getValueAt(row, col) {
        return this.items[row][col];
    }

    setValueAt(row, col, newVal) {
        this.items[row][col] = newVal;
        this._fireDataChanged();
    }

    getColumnName(col) {
        return this.colnames[col];
    }
}

export default ArrayTableModel